//
//  ViewController.swift
//  plistnew
//
//  Created by Greens on 10/6/20.
//  Copyright © 2020 Greens. All rights reserved.
//

import UIKit

class ViewController: UIViewController,UITableViewDataSource,UITableViewDelegate {
    
    
    @IBOutlet weak var thisTable: UITableView!
    var arrId = [String]()
    var arrName = [String]()
    var arrAddress = [String]()
    var arrGender = [String]()
    var arrMobile = [String]()
    var arrHome = [String]()
    var arrOffice = [String]()
    
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        arrId.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "cellTest", for: indexPath) as! TableViewCell
        cell.firstLabel.text = arrName[indexPath.row]
        return cell
    }
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat{
        return 80
    }
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath){
        performSegue(withIdentifier: "secondVc", sender: self)
    }
    
    
    override func viewDidLoad() {
        
//        var nsDictionary: NSDictionary?
        if let path = Bundle.main.path(forResource: "contacts", ofType: "plist"){
           var nsDictionary = NSDictionary(contentsOfFile: path)
            if let myDict = nsDictionary as? [String: Any]{
                if let myArray = (myDict["contacts"] as! [Any]?){
                    for index in myArray {
                        if let value = index as? [String:Any]{
                            if let id = value["id"] as? String{
                                arrId.append(id)
                            }
                            if let name = value["name"] as? String{
                                arrName.append(name)
                            }
                            if let address = value["address"] as? String{
                                arrAddress.append(address)
                            }
                            if let gender = value["gender"] as? String{
                                arrGender.append(gender)
                            }
                            if let phone = value["phone"] as? [String:Any]{
                                if let mobile = phone["mobile"] as? String{
                                    arrMobile.append(mobile)
                                }
                                if let home = phone["home"] as? String{
                                    arrHome.append(home)
                                }
                                if let office = phone["office"] as? String{
                                    arrOffice.append(office)
                                }
                            }
                        }
                    }
                }
            }
        }
        super.viewDidLoad()
        // Do any additional setup after loading the view.
    }
    
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        if segue.identifier == "secondVc"{
            let seg = segue.destination as! SecondViewController
            let indexpath = self.thisTable.indexPathForSelectedRow
            seg.id = arrId[indexpath!.row]
            seg.address = arrAddress[indexpath!.row]
            seg.gender = arrGender[indexpath!.row]
            seg.mobile = arrMobile[indexpath!.row]
            seg.home = arrHome[indexpath!.row]
            seg.office = arrOffice[indexpath!.row]
        }
    }
    
    
}

